Skip to Content
API-ReferenzKontoinformationen

Kontoinformationen

Rufen Sie Ihre Kontodetails, Stufeninformationen, Rate Limits und aktivierten Funktionen ab.

GET /api/v1/account

Dieser Endpoint ersetzt den früheren /me Endpoint. Das Antwortformat wurde aktualisiert und verwendet nun den standardmäßigen v1-Envelope.

AuthentifizierungPermalink for this section

Erfordert einen API-Schlüssel. Verfügbar für alle Stufen.

BeispielanfragenPermalink for this section

curl -X GET "https://api.sharpapi.io/api/v1/account" \ -H "X-API-Key: YOUR_API_KEY"

AntwortPermalink for this section

Erfolg (200)Permalink for this section

{ "data": { "key_id": "key_abc123def456", "tier": "pro", "rate_limit": { "requests_per_minute": 300, "max_books": 15 }, "features": [ "odds", "schedule", "ev", "arbitrage", "middles", "low_hold", "closing_line", "splits" ], "streaming": { "enabled": true, "max_connections": 10 } }, "updated_at": "2026-02-08T14:44:32.123Z" }

Antwort-HeaderPermalink for this section

X-RateLimit-Limit: 300 X-RateLimit-Remaining: 287 X-RateLimit-Reset: 1707401100 X-Data-Delay: 0 X-Request-Id: req_acct123xyz

FehlerantwortenPermalink for this section

401 Unauthorized

{ "error": { "code": "unauthorized", "message": "Invalid or missing API key", "docs": "https://docs.sharpapi.io/en/authentication" } }

AntwortfelderPermalink for this section

data-ObjektPermalink for this section

FeldTypBeschreibung
key_idstringBezeichner für den in dieser Anfrage verwendeten API-Schlüssel
tierstringAbonnementstufe: free, hobby, pro, sharp oder enterprise
rate_limitobjectRate Limit und Sportsbook-Zugriff — siehe unten
featuresstring[]Auf Ihrer Stufe aktivierte Funktionen — siehe unten
streamingobjectVerfügbarkeit von SSE-/WebSocket-Streaming — siehe unten

Ein updated_at-Feld auf oberster Ebene (ISO 8601-Zeitstempel) begleitet data.

rate_limit-ObjektPermalink for this section

FeldTypBeschreibung
requests_per_minutenumberMaximal zulässige API-Anfragen pro Minute auf Ihrer Stufe
max_booksnumberMaximale Anzahl der für Ihre Stufe zugänglichen Sportsbooks (999 bedeutet unbegrenzt)

features-ArrayPermalink for this section

Array von Funktions-Tokens, die auf Ihrer Stufe aktiviert sind. Mögliche Werte:

WertBeschreibung
oddsLive-Odds-Endpoints
scheduleEvent-/Spielplan-Endpoints
ev+EV-Gelegenheitserkennung
arbitrageArbitrage-Erkennung
middlesMiddles-Erkennung
low_holdLow-Hold-Gelegenheitserkennung
historyHistorische Odds-Endpoints
futuresFutures-Märkte
closing_lineClosing-Line-Value-Endpoints
splitsÖffentliche Wett-Splits

streaming-ObjektPermalink for this section

FeldTypBeschreibung
enabledbooleanOb SSE-/WebSocket-Streaming verfügbar ist (über Stufe, Add-on oder Testversion)
max_connectionsnumberMaximale Anzahl gleichzeitiger Streaming-Verbindungen (0 wenn Streaming nicht aktiviert ist)

AnwendungsfällePermalink for this section

Überprüfen des Funktionszugriffs vor dem Senden von AnfragenPermalink for this section

const { data: account } = await fetch( 'https://api.sharpapi.io/api/v1/account', { headers: { 'X-API-Key': 'YOUR_API_KEY' } } ).then(r => r.json()); if (!account.features.includes('ev')) { console.log('Upgrade to Pro tier for +EV detection'); } else { // Proceed with EV endpoint const evData = await fetch( 'https://api.sharpapi.io/api/v1/opportunities/ev', { headers: { 'X-API-Key': 'YOUR_API_KEY' } } ).then(r => r.json()); }

Verwandte EndpointsPermalink for this section

Last updated on